Plans

Retrieve a plan

Retrieves a plan by ID.

GET
/plans/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://api.sandbox.billingrails.com/v1/plans/pln_IhMUl3rrZ3"
{
  "plan": {
    "object": "plan",
    "id": "pln_IhMUl3rrZ3",
    "name": "Starter Plan",
    "code": "starter_plan",
    "description": "Starter plan for small businesses.",
    "currency": "USD",
    "status": "active",
    "created_at": "2025-02-14T17:33:40.843Z",
    "items": [
      {
        "object": "plan_item",
        "id": "plni_IhMUl3rrZ3",
        "created_at": "2025-02-14T17:33:40.843Z",
        "product_id": "prd_IhMUl3rrZ3",
        "price_id": "pri_IhMUl3rrZ3"
      }
    ]
  },
  "meta": {
    "request_id": "req_IhMUl3rrZ3"
  }
}